<?php
/**
 * 学校管理
 * $Id: school_list.inc,v 1.1 2020/01/03 11:18:46  Exp $
 * @author lixq
 * @access public
 * @package manager.templates
 */

global $school_list;
global $school_count;
global $school_title;
?>

<div id="classSetting">
	<div class="list_title">
		学校管理
	</div>
	<br/>
	<form id="search_form" action="school_list.php" method="post">
	学校名称:<input type="text" value="<?=$school_title?>" name="school_title" class="el-input__inner input_200"/><br/>
	<el-button type="success" @click="search()" class="edit_btn">检索</el-button>
	</form>
  <br />
  <div class="result_list">
  	<el-table :data="tableData" border>
  		<el-table-column  prop="id" label="编号" ></el-table-column>
  		<el-table-column  prop="title" label="学校名称" width=""></el-table-column>
  		<el-table-column  prop="type" label="学校类型" width=""></el-table-column>
  		<el-table-column  prop="address" label="学校地址" width=""></el-table-column>
  		<el-table-column  label="操作"  width="100">
  			<template slot-scope="scope">
  				<el-button @click="handleChange(scope.row)" type="text" size="small">编辑</el-button>
  			</template>
  			</el-table-column>
  	</el-table>
  </div>
</div>
<?
if ($school_count > 0) {
?>
<!--page begin-->
<?
require_once("page_common.inc");
?>
<!--page end-->
<?
}
?>
<script type="text/javascript">
	var list=[];
	<?
	foreach ($school_list as $school_mst) {
	?>
		var data={
			id:<?=$school_mst->id ?>,
			type:'<?=SchoolType::getTitleById($school_mst->school_type)?>',
			address:'<?=$school_mst->address?>',
			title:'<?=$school_mst->title ?>'
		};
		list.push(data);
	<?
	}
	?>

	new Vue({
		el:'#classSetting',
		data:{
			tableData: list
		},
		methods:{
			handleChange(row) {
		  	console.log(row);
		  	window.location.href='school_edit_input.php?id='+row.id;
		  },
		  search(){
				$("#search_form").submit();
			  }
		}
	})
</script>